@import "theme";

* {
  box-sizing: border-box;

  &:focus {
    outline: none;
  }
}

body, html {
  margin: 0;
  padding: 0;
  font-family: $FONT-BODY;
  overflow-x: hidden;
  //overflow-y: overlay;
  overflow-y: scroll;
}

//GENERAL STYLING

//Hide Text for all users except screenreader
.visuallyhidden {
  border: 0;
  clip-path: rect(0,0,0,0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

h1 {
  color: $WHITE;
  font-size: 30px;
  text-transform: uppercase;
  margin: 0;
  font-family: $FONT-HEADER;
  letter-spacing: 2.5px;
}

h2 {
  color: $PRIMARY-COLOUR;
  font-size: 30px;
  letter-spacing: 1.5px;
  text-transform: uppercase;
  font-family: $FONT-HEADER;
  text-align: center;
}

a {
  text-decoration: none;
}

.text-light {
  color: $WHITE;
}

button.btn {
  border: 4px solid $PRIMARY-COLOUR;
  background-color: $PRIMARY-COLOUR-MEDIUM;
  color: $WHITE;
  font-family: $FONT-BODY;
  font-size: 20px;
  text-transform: uppercase;
  text-align: center;
  padding: 10px;
  margin-bottom: 20px;
  font-weight: bold;

  &.btn-light {
    border-color: $WHITE;
    background-color: $PRIMARY-COLOUR-MEDIUM;
  }

  &:hover, &:focus {
    background-color: $SECONDARY-COLOUR;
    color: $PRIMARY-COLOUR;
    cursor: pointer;
  }
}

label {
  color: $PRIMARY-COLOUR;
  font-family: $FONT-BODY;
  font-weight: bold;
  font-size: 20px;
  text-transform: uppercase;
  text-align: left;
  padding: 0 0 10px 0;
  font-family: $FONT-BODY;
  margin-bottom-bottom: 10px;

  &.light {
    color: $WHITE;
  }
}

input, textarea {
  margin-bottom: 20px;
  padding: 10px;
  font-size: 20px;
  font-family: $FONT-BODY;
  border: 4px solid $PRIMARY-COLOUR;

  &:focus {
    border-color: $SECONDARY-COLOUR;
    outline: none;
  }

  &.light {
    border-color: $WHITE;
    &:focus {
      border-color: $SECONDARY-COLOUR;
    }
  }

}

//Icon Buttons
.btn-icon {
  background-color: transparent;
  border: none;
  padding: 0;
  height: 30px;
  width: 30px;

  &:not(:last-of-type) {
    margin-right: 10px;
  }

  img {
    width: 35px;
    height: 35px;
    margin-left: -3px;
    margin-top: -3px;
  }

  &:hover {
    cursor: pointer;
    background-color: $SECONDARY-COLOUR;
    border-radius: 100px;
  }

  &.leave-huge {
    width: 140px;
    height: 140px;
    position: relative;
    margin-bottom: 40px;

    img {
      width: 160px;
      height: 160px;
      margin-left: -10px;
      margin-top: -10px;
    }

    span {
      opacity: 0;
    }

    &:hover {
      background-color: $PRIMARY-COLOUR-MEDIUM;
      span {
        left: 7px;
        top: 5px;
        opacity: 1;
        position: absolute;
        width: 90%;
        height: 90%;
        background-color: rgba(39, 41, 66, 0.95);
        color: #fff;
        font-family: "Roboto", sans-serif;
        text-transform: uppercase;
        font-size: 17px;
        padding-top: calc(44% - 8px);
        border-radius: 150px;
      }
    }
  }
}

